[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Graph' (#rtl)

# Arc

Draw part of a circle

## Declaration

Source position: graphh.inc line 805

`procedure Arc(`
`X: SmallInt;`
`Y: SmallInt;`
`StAngle: Word;`
`EndAngle: Word;`
`Radius: Word`
`);`

## Description

Arc draws part of a circle with center at (X,Y), radius radius, starting from angle start, stopping at angle stop. These angles are measured counterclockwise.

## Errors

None.

## See also

Circle |  | Draw a complete circle
Ellipse |  | Draw an ellipse
GetArcCoords |  | Return coordinates of last drawn arc or ellipse.
PieSlice |  | Draw a pie-slice
Sector |  | Draw and fill a sector of an ellipse

Documentation generated on: Feb 26 2014